<?php


// Mit dieser Funktion werden zwar auch Songtexte coloriert, aber nur mit Klassen versehen:
function colorize_final_songtext ($folie, $sprachen) {
	
	
	$i = 0;
	foreach ($folie as $vers) {
		
		// Versnummer
		$i++;
		
		if ($i > 1) {
			// Die Versbezeichnung (Refrain, Vers 1, ...) nicht zaehlen.
			
			if ($sprachen == "0") {
				
				// Nur eine Sprache, daher alle gleiche Klasse
				$output = $output . '<p class="output_songtext_lang_1">' . $vers . '</p>';
				
			}
			
			else {
				
				// Zwei Sprachen: Alle geraden sind Sprache 1
				if ($i%2 == 0) {
					// Sprache 1
					$output = $output . '<p class="output_songtext_lang_1">' . $vers . '</p>';
				}
				else {
					// Sprache 2
					$output = $output . '<p class="output_songtext_lang_2">' . $vers . '</p>';
				}
				
			}
			
		}
		
	}
	
	return $output;
	
	
}




// Hier werden alle html-breaks zum nl Attribut, wobei vorher natuerlich alle entfernt wurden.
function br2nl ($text) {
	
	// Alle new lines entfernen
	$text = preg_replace('/\s+/', ' ', $text);
	
	
	// Alle brs zu new lines
	return str_replace(array("<br>", "<br />"), "\n\r", $text);
	
}


// Mithilfe dieser Funktion werden alle Umlaute entfernt
function umlaute ($bearbeite, $turn = false) {
	
	$suche = array("", "", "", "", "", "", "");
	$ersetze = array("&auml;", "&Auml;", "&uuml;", "&Uuml;", "&ouml;", "&Ouml;", "&szlig;");
	
	return str_replace($turn?$ersetze:$suche, $turn?$suche:$ersetze, $bearbeite);
	
}




function colorize_songtext ($songtext_seperated, $sprachen) {
	
	$anzahl_folien = count($songtext_seperated);
	
	foreach ($songtext_seperated as $folie) {
		
		// Um herauszufinden, welche Reihe ich bin...
		$i = 0;
		foreach ($folie as $reihe) {
			
			if ($i == 0) {
				// Erste Reihe wird blau markiert, weil es eine Ueberschrift ist:
				$ausgabe = $ausgabe . '<span style="color: blue; font-weight: bold;">' . $reihe . '</span><br />';
			}
			
			elseif ($sprachen == "0") {
				// Keine zwei Sprachen, also wird einfach komplett so ueberbracht:
				$ausgabe = $ausgabe . $reihe . '<br />';
			}
			
			else {
				// Zwei Sprachen, und hier wird es aetzend:
				if ($i%2 != 0) {
					// Erste Sprache
					$ausgabe = $ausgabe . $reihe . '<br />';
				}
				else {
					// Zweite Sprache
					$ausgabe = $ausgabe . '<span style="color: #505050; font-style: italic;">' . $reihe . '</span><br />';
				}
			}
			
			$i++;
			
		}
		
		$a++;
		// Alles schon einmal fertig machen, solange es nicht der letzte Eintrag ist!
		if ($anzahl_folien > $a)
			$ausgabe = $ausgabe . '<span style="color: red; font-weight: bold;">---</span><br />';
		
	}
	
	return $ausgabe;
	
}


// Seperiert die Folien und Sprachen voneinander:
/*
Ausgabe so: array(folien_array(linie))
*/
function seperate_songtext ($songtext) {
	
	// Erst alle Zeilenumbr&uuml;che umwandeln
	// Danach alle br / zu br
	// Dann alle Leerzeilen entfernen
	$songtext = trim(str_replace("<br />", "<br>", nl2br(trim($songtext))), "<br>");
	
	// Nachdem dies nun vorbereitet wurde aufsplitten und wieder Leerzeilen entfernen:
	$folien = explode("---", $songtext);
	$folienfertig = array();
	foreach($folien as $folie) {
		
		// Folie komplett trimmen
		$trimmed = trim(trim($folie), "<br>");
		// Danach Jede Zeile seperieren und das letzte mal alle Leerzeilen entfernen:
		$folienfertig[] = str_replace("<br>", "", explode("<br>", $trimmed));
		
	}
	
	return $folienfertig;
	
	
}



// Erzeugt ein Item in der Auflistung aller Songtexte
function generate_song_item_list ($id, $titel) {
	
	return '<li class="ui-state-default" id="liste_' . $id . '">
	<button class="show_button" style="width: 30px;" onclick="open_lyrics(\'' . $id . '\')"></button> ' . $titel . '</li>';
	
}


function start_page_func () {
	
	$allowed = array("songs", "kontrolle", "settings", "devices", "logout");
	
	// Funktion aufrufen
	if (in_array($_GET["action"], $allowed))
		call_user_func("page_" . $_GET["action"] , "");
	
	// Ansonsten standard:
	else
		page_songs();
	
	
}


// Diese Funktion logged ein, wenn noetig
function system_pwd_login () {
	
	// Wenn gesendet wurde:
	if ($_GET["sent"] == "1" && $_POST["pwd"] != "") {
		
		$pwd = md5($_POST["pwd"]);
		
		// Check, ob Pwds identisch:
		if ($GLOBALS["system"]["pwd"] == $pwd) {
			
			// Schreiben der Session:
			$_SESSION["bsp_2"]["system"] = "1";
			
			// Aufrufen der Pageanzeige
			start_page_func();
			return NULL;
			
		}
		
		// Wenn nicht identisch:
		else {
			
			$meldung = '<h2 style="color: red;">Falsches Passwort!</h2>';
			
		}
		
	}
	
	
	// Ausgabe
	$GLOBALS["scripts"] = array("system_login.js");
	
	$GLOBALS["echo"] = '<form action="index.php?sent=1" method="post"> 
	<center><h1>Bitte geben Sie das System-Passwort ein</h1>
	<br />' . $meldung
	. '<br /><input type="password" style="width: 300px; height: 20px; text-align: center; font-size: 14pt;"
	name="pwd" class="eingabefeld" />
	<br /><br /><input type="submit" value="Einloggen" id="okbutton"></center>
	</form>';
	
}



// Diese Funktion gibt alle (benoetigten) Script-files aus:
function insert_scripts () {
	
	// Wenn scripts leer ist:
	if (empty($GLOBALS["scripts"]))
		return NULL;
	
	
	// die 3 Mainfiles einbinden:
	$ausgabe = '<script src="javascript/jquery.js" type="text/javascript"></script>
	<script src="javascript/jquery-ui.js" type="text/javascript"></script>
	<link href="javascript/jquery-ui.css" type="text/css" rel="stylesheet" />';
	
	
	// Jede einzelne Datei ausgeben:
	foreach ($GLOBALS["scripts"] as $script) {
		
		$ausgabe = $ausgabe . '<script src="javascript/' . $script . '" type="text/javascript"></script>';
		
	}
	
	return $ausgabe;
	
}

?>
