// Diese Variable gibt den aktuell angezeigten Songtext an.
var aktuell_songtext;



$(function () {

	// Buttonset definieren:
	$('#buttonset').buttonset();
	
	// Dialogbox definieren fuer Textbearbeitung:
	$('#dialog_edit').dialog({
	modal: true,
	autoOpen: false,
	width: 600,
	height: 500,
	show: "slide",
	hide: "slide",
	buttons: [
		{
			text: "Lschen",
			icons: {
				primary: "ui-icon-trash"
			},
			click: function () {
				
				// Hier soll geloescht werden...
				// Hat das Teil ueberhaupt schon eine ID?
				var id = $('#id').html();
				if (id == "None") {
					// Kann nicht geloscht werden, weil keine ID:
					alert("Dieser Song kann nicht gelscht werden, weil er noch nicht gespeichert ist.");
				}
				else {
					var confirm_me = confirm("Sind Sie sicher, dass Sie den Song lschen mchten?");
					if (confirm_me == true) {
						// Song loeschen
						$.post("javascript/js_funcs.php", {"action": "song_delete", "id": id}, function (data) {
							if (data == "OK")
								location.reload();
							else
								alert(data);
						});
							
					}
				}
				
			}
		},
		{
			text: "Speichern",
			icons: {
				primary: 'ui-icon-disk'
			},
			click: function () {
				if (!check_before_save())
					return false;
				
				// Nur Speichern, nicht schliessen
				absende_dialog_edit_anwenden();
			}
		},
		{
			text: "Schlieen",
			icons: {
				primary: 'ui-icon-circle-close'
			},
			click: function () {
				// Abbrechen und Dialog schliessen
				$(this).dialog("close");
				$('#dialog_display_text').dialog("close");
			}
		}
	]});
	
	
	// Dialogbox definieren:
	$('#dialog_display_text').dialog({
	modal: false,
	autoOpen: false,
	width: 400,
	height: 400,
	show: "slide",
	hide: "slide",
	buttons: [
		{
			text: "Bearbeiten",
			icons: {
				primary: 'ui-icon-pencil'
			},
			click: function () {
				// Dialog offen lassen, aber den Bearbeitungsdialog oeffnen:
				open_edit_song(aktuell_songtext);
			}
		},
		{
			text: "Beenden",
			icons: {
				primary: 'ui-icon-circle-close'
			},
			click: function () {
				// Dialog einfach schliessen
				$(this).dialog("close");
			}
		}
	]});
	
});



function open_edit_song (id) {
	
	// Sende an Server, dass ich gerne die Editierbare-Version haette:
	$.post("javascript/js_funcs.php", {"action": "open_editable", "id": id}, function (data) {
		
		// Daten aufteilen:
		// ID, Titel, Autor, Sprachen, Songtext
		var infos = data.split("!!:;:!!");
		
		if (infos.length != 5) {
			// Es trat ein Fehler auf:
			alert("Es gab einen Fehler - Es wurde ein fehlerhafter String gesendet.");
			return false;
		}
		
		// Alle Werte im Formular eintragen:
		$('#id').html(infos[0]);
		$('#titel').val(infos[1]);
		$('#autor').val(infos[2]);
		$('#wysiwyg').html(infos[4]);
		
		// Sprachen auswaehlen:
		if (infos[3] == "1") {
			// Mehrsprachig:
			$('#radio2').prop("checked", true);
			$('#radio1').removeAttr("checked");
		}
		else {
			// Einsprachig
			$('#radio1').prop("checked", true);
			$('#radio2').removeAttr("checked");
		}
		// Und updaten:
		$('#buttonset').buttonset("refresh");
		
		
		// Dialogbox oeffnen
		$('#dialog_edit').dialog("open");
		
	});
	
}



function absende_dialog_edit_anwenden () {
	
	// Alle vorher definieren:
	var sprachen = $('input[name=sprachen]:checked').val();
	var titel = encodeURIComponent($('#titel').val());
	var songtext = encodeURIComponent($('#wysiwyg').html());
	var autor = encodeURIComponent($('#autor').val());
	
	// An Server senden:
	$.post("javascript/js_funcs.php", {"action": "song_save", "id": aktuell_songtext, "titel": titel, "sprachen": sprachen,
	"songtext": songtext, "autor": autor}, function (data) {
		
		// Wenn es ein komplett neuer Eintrag ist:
		if (aktuell_songtext == 0) {
			
			// Die Information enthaelt zwei Infos:
			// NEUER CONTENT!!:;:!!NEUE ID
			var neu_infos = data.split("!!:;:!!");
			aktuell_songtext = neu_infos[1];
			var gebe_raus = neu_infos[0];
			
			// Die neue ID anzeigen:
			$('#id').html(neu_infos[1]);
			
		}
		else
			var gebe_raus = data;
		
		// Und hier wird nun uebergefaded:
		$('#wysiwyg').fadeOut("fast", function () {
			
			$(this).html(gebe_raus).fadeIn("fast");
			
		});
		
	});
	
}



function check_before_save () {
	
	// Diese Funktion ueberprueft vor dem Senden der Songtexte nur, ob diese gesendet werden duerfen:
	var sprachen = $('input[name=sprachen]:checked').val();
	var titel = $('#titel').val();
	var songtext = $('#wysiwyg').html();
	
	if ((sprachen == "1" || sprachen == "0") && titel != "" && songtext != "") {
		// Alles OK
		return true;
	}
	else {
		alert("Es muss ein Titel angegeben sein und mindestens 1 Zeichen als Songtext.");
		return false;
	}
}


function open_lyrics (id) {
	
	// Anfrage an Server schicken:
	$.post("javascript/js_funcs.php", {"action": "open_lyrics", "id": id}, function ( data ) {
		
		$('#dialog_display_text').html(data);
		aktuell_songtext = id;
		
		
		// Mal sehen, ob Dialog noch geschlossen ist:
		if ($('#dialog_display_text').dialog("isOpen") == false) {
			$('#dialog_display_text').dialog("open");
		}
		
	});
	
}





function open_new_song () {
	
	// Alle Werte leeren
	$('#id').html("None");
	$('#titel').val("");
	$('#autor').val("");
	$('#wysiwyg').html("Hier Text eingeben.<br>Folien mit --- trennen.<br><br>Bei" +
	" mehreren Sprachen nach jeder Zeile eine Zeile &Uuml;bersetzung");
	$('#radio1').prop("checked", true);
	$('#radio2').prop("checked", false);
	$('#buttonset').buttonset("refresh");
	
	
	// Aktuellen Songtext auch leeren
	aktuell_songtext = 0;
	
	// Und Dialog oeffnen
	$('#dialog_edit').dialog("open");
	
}


